=== debian/changelog ===
cupt (2.6.2) unstable; urgency=low

  * lib:
    - system/worker:
      - 'changeSystem': fixed forgetting some multiplied dependencies if some
        not changed installed packages has a dependency on some changed
        package through more than one relation expression. This regression
        was introduced in 2.2.0~rc1.
    - system/resolvers/native:
      - Reduced a memory footprint of unprepared solutions a bit.
  * debian:
    - control:
      - Bumped Standards-Version to 3.9.4, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 12 Oct 2013 17:51:10 +0300

cupt (2.6.1) experimental; urgency=low

  * debian:
    - cupt.manpages:
      - Fixed installing cupt_functionalselectors.7.
    - cupt.install:
      - Fixed installing all generated HTML pages.
    - rules:
      - Don't attempt to install logrotate script in binary-arch target. Fixes
        FTBFS for binary-only builds.
  * doc:
    - cmakelists:
      - Fixed installing all generated HTML pages to /usr/share, not only
        tutorial one.
      - Fixed not installing build artefacts of 'show-upgradeable' example.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 05 Oct 2013 15:57:19 +0300

cupt (2.6.0) experimental; urgency=low

  * console:
    - Managing packages:
      - The option 'cupt::resolver::track-reasons' does not correspond to the
        console '--show-reasons' option anymore.
      - New positional action override options '--markauto', '--unmarkauto',
        '--asauto=yes', '--asauto=no', '--asauto=default'.
      - 'markauto', 'unmarkauto': are now first-class management commands.
      - Action preview prompt: now properly show reinstalled packages as
        reinstalled, not as upgraded.
      - Action preview prompt: removed the 'one expression per line'
        limitation while processing 'a' choice.
      - Action preview prompt: new choice 'rc' ("show reason chain").
      - The option 'cupt::console::actions-preview::show-summary' got a new 
        value variant "auto".
      - Warn and require extra confirmation for actions on MultiArch-enabled
        systems. (Closes: #710052)
      - New positional request type options '--select=traditional',
        '--select=flexible'.
      - New positional request importance options '--importance=must',
        '--importance=try', '--importance=wish', '--importance=<value>'.
    - 'shell':
      - Don't rebuild the cache uselessly when a package management action
        was suggested but not confirmed by user.
    - New 'functional selectors' syntax for advanced version selection. 
    - 'search':
      - New option '--fse'.
    - 'tar-metadata':
      - Include also signatures of Release files.
    - 'show', 'showsrc': syntaxes '.../<distribution>' and '...=<version>' now
      work also with '-a' option.
  * lib:
    - Removed deprecated functions 'fatal', 'warn', 'debug', 'simulate'.
    - [API break] '__': now returns 'const char*' instead of 'string'.
    - cache:
      - [API break] Pointers to Package and Version objects are now persistent
        and unique. Thus shared pointers to those objects are no more used in
        public interfaces.
      - [API break] PinnedVersion: removed explicit constructor.
      - [API break] Removed deprecated methods and structures.
      - [API break] Constructor: removed the argument
        'packageNameGlobsToReinstall' as not needed anymore.
      - [API break] 'getLocalizedDescriptions' is replaced with
        'getLocalizedDescription'.
      - [API break] 'getPolicyVersion' is renamed to 'getPreferredVersion'.
      - New possibility to use index-of-index files to speed up building
        the package cache.
      - [API break] 'getSystemState': now returns persistent constant pointer.
      - Don't include unnecessary 'boost/xpressive/xpressive_fwd.hpp'.
        (Closes: #701207)
      - [ABI break] IndexEntry: new member 'options'.
      - Support for 'trusted=yes' and 'trusted=no' options in sources.list.
      - [API break] 'getBinaryPackageNames', 'getSourcePackageNames': return
        type is now 'Range<PackageNameIterator>'.
    - cache/package:
      - Apply id version suffixes (^<suffix>) to version strings to
        differentiate versions with same version string but different hash
        sums.
      - New methods begin() and end().
      - [API break]: 'addEntry': removed.
    - cache/relation:
      - [API break] ArchitecturedRelation, ArchitecturedRelationExpression:
        constructor from string subrange is now explicit.
      - [API break] Relation, ArchitecturedRelation: removed constructors from
        strings.
      - [API break] Use 'const char*' instead of 'string::const_iterator' in
        constructors.
    - config:
      - Don't store unused APT variables anymore.
      - New option 'cupt::console::actions-preview::show-reasons'.
      - New option 'cupt::update::generate-index-of-index'.
      - New option 'cupt::console::show-progress-messages'.
      - The option 'cupt::languages::indexes' has now default value
        'environment,en' to always download English translations regardless of
        the current locale.
      - Recognize and use the option 'dir::ignore-files-silently'.
        (Closes: #697248)
      - Removed the option 'cupt::update::keep-bad-signatures', signatures are
        always kept.
    - cache/version:
      - [API break] 'operator==': removed, versions can be now compared by
        pointers' values.
      - [API break] Source, InitializationParameters: replaced shared_ptr's
        with pointers.
      - [API break] InitializationParameters: removed.
    - system/resolver:
      - [API break] SuggestedPackage: new field 'automaticallyInstalledFlag',
        removed old field 'manuallySelected'.
      - New method 'setAutomaticallyInstalledFlag'.
      - 'SuggestedPackage': new field 'reasonPackageNames'.
      - [API break] 'unsatisfyRelationExpression': removed, merged into

