=== debian/control ===
Source: cupt
Section: admin
Priority: optional
Build-Depends: debhelper (>= 7.4.10), g++-4.6,
  libboost-program-options-dev (>= 1.42), libboost-dev (>= 1.42),
  libreadline6-dev, chrpath, libcurl4-gnutls-dev (>= 7.19.4),
  cmake (>= 2.6), doxygen, libgcrypt11-dev, txt2tags, gettext
Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
Homepage: http://wiki.debian.org/Cupt
Standards-Version: 3.9.4
Vcs-Git: git://github.com/jackyf/cupt.git
Vcs-Browser: https://github.com/jackyf/cupt/tree/master

Package: cupt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcupt3-0 (= ${binary:Version}) | cupt (= ${binary:Version}) |
 libcupt3-0-downloadmethod-curl (= ${binary:Version}) |
 libcupt3-0-downloadmethod-wget (= ${binary:Version}),
 ${misc:Depends}
Description: alternative front-end for dpkg -- debugging symbols
 This package contains gdb debugging symbols for the Cupt packages.

Package: libcupt3-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt-common (>= ${source:Version})
Breaks: debdelta (<< 0.31)
Recommends: libcupt3-0-downloadmethod-curl | libcupt3-0-downloadmethod-wget, bzip2, gpgv, ed
Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
Description: alternative front-end for dpkg -- runtime library
 This is a Cupt library implementing front-end to dpkg.
 .
 Provides:
  - parsing and manipulating configuration info;
  - parsing indexes metadata info;
  - version strings comparison;
  - inspection of the binary and source package' versions;
  - parsing and querying info about installed packages;
  - parsing and working with relations and relation expressions;
  - download manager and downloaders for some schemes;
  - problem resolver;
  - worker for modifying system state.
 .
 See also description of 'cupt' package for more information.

Package: libcupt-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: libcupt2-0
Replaces: libcupt2-0
Description: alternative front-end for dpkg -- runtime library (support files)
 This package provides architecture-independent support parts for Cupt library.
 .
 See also description of libcupt3-0 package.

Package: libcupt3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcupt3-0 (= ${binary:Version})
Conflicts: libcupt2-dev
Suggests: libcupt3-doc
Description: alternative front-end for dpkg -- development files
 This package provides headers for Cupt library.
 .
 See also description of libcupt3-0 package.

Package: libcupt3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: alternative front-end for dpkg -- library documentation
 This package provides documentation for Cupt library.
 .
 See also description of libcupt3-0 package.

Package: cupt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt3-0 (>= ${binary:Version})
Breaks: daptup (<< 0.12.2~)
Suggests: sensible-utils, libreadline6
Description: alternative front-end for dpkg -- console interface
 This package provides a console interface to Cupt library, which is a
 re-implementation of libapt-pkg C++ library. The aim is to produce
 more strict, more robust, less buggy front-end than APT.
 .
 Cupt uses the same APT infrastructure, e.g. index files, deb cache archive
 files, configuration files. It understands some of widely used APT options.
 .
 Some features:
  - strict full-case resolver;
  - resolver reasons tracking;
  - command-line and 'cupt::*' option name checker;
  - case-sensitive search;
  - pinning by source package name;
  - pinning by package groups using shell-like patterns;
  - configurable 'depends' and 'rdepends' subcommands;
  - 'satisfy' subcommand;
  - support of LZMA-compressed indexes;
  - source versions synchronization;
  - 'shell' subcommand (to get command history, search etc. working, install
    the package 'libreadline6');
  - integration with debdelta (to get it, install the package 'debdelta');
  - system snapshots (needs packages 'dpkg-dev' and 'dpkg-repack').
 .
 Its interface is mostly like apt-get/aptitude console interface.
 .
 Cupt has built-in support for APT repositories using the file:// or copy://
 URL schemas. For access to remote repositories using HTTP or FTP, install a
 download method such as libcupt3-0-downloadmethod-curl.

Package: libcupt3-0-downloadmethod-curl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: alternative front-end for dpkg -- libcurl download method
 This package provides http(s) and ftp download handlers for Cupt library
 using libcurl.
 .
 See also description of libcupt3-0 package.

Package: libcupt3-0-downloadmethod-wget
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, wget
Description: alternative front-end for dpkg -- wget download method
 This package provides http(s) and ftp download handlers for Cupt library
 using wget.
 .
 See also description of libcupt3-0 package.
