=== debian/rules ===
#!/usr/bin/make -f

PERL ?= /usr/bin/perl
CMAKE_OPTIONS = -DLOCAL:bool=OFF
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CMAKE_OPTIONS += -DOPTIMIZE=0
else
	CMAKE_OPTIONS += -DOPTIMIZE=2
endif


override_dh_auto_configure:
	cmake -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/tmp/usr $(CMAKE_OPTIONS) ./

override_dh_auto_install-arch:
	$(MAKE) install
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/cupt
	# produce additional man pages for cupt
	$(PERL) debian/install_pods
	install -m644 scripts/bash_completion $(CURDIR)/debian/cupt/etc/bash_completion.d/cupt

override_dh_auto_install-indep:
	install -m644 scripts/logrotate $(CURDIR)/debian/libcupt-common/etc/logrotate.d/cupt

override_dh_strip:
	dh_strip --dbg-package=cupt-dbg

%:
	dh --parallel $@
