## cupt 2.6.3

=== debian/changelog ===
cupt (2.6.3) unstable; urgency=low

  * lib:
    - Standard-conformance fixes to be buildable by g++-4.8.
  * build system:
    - Removed the restriction to build only with g++-4.6.
  * debian:
    - control:
      - Removed 'g++-4.6' from Build-Depends.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 22 Oct 2013 23:05:55 +0300
