## cupt 2.8.2ubuntu1

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	message(FATAL_ERROR "missing GNU Readline library")
 ENDIF(NOT EXISTS /usr/include/readline/readline.h)
 
-set(CMAKE_CXX_FLAGS "-ggdb -Wall -Wextra -std=gnu++0x -fPIC -I${CMAKE_SOURCE_DIR}/cpp/ -include common/common.hpp")
+set(CMAKE_CXX_FLAGS "-pthread -ggdb -Wall -Wextra -std=gnu++0x -fPIC -I${CMAKE_SOURCE_DIR}/cpp/ -include common/common.hpp")
 
 OPTION(VERBOSE "is build verbose")
 IF(VERBOSE)
@@ -35,13 +35,13 @@
 IF(OPTIMIZE GREATER 0)
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DNDEBUG -O${OPTIMIZE}")
 	IF(OPTIMIZE GREATER 1)
-		# set(CMAKE_LD_FLAGS "${CMAKE_LD_FLAGS} -flto")
-		# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -flto")
+		# set(CMAKE_LD_FLAGS "${CMAKE_LD_FLAGS} -flto -ffat-lto-objects")
+		# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -flto -ffat-lto-objects")
 	ENDIF(OPTIMIZE GREATER 1)
 ENDIF(OPTIMIZE GREATER 0)
 
-set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed")
-set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--as-needed")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pthread -Wl,--as-needed")
+set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -pthread -Wl,--as-needed")
 
 set(CUPT_SOVERSION 0)
