=== debian/changelog ===
cupt (2.8.2ubuntu1) utopic; urgency=medium

  * Build using -pthread.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 16:31:20 +0200

cupt (2.8.2) unstable; urgency=medium

  * test:
    - cmakelists:
      - Avoided trying symlinking a directory to itself for in-tree builds.
        Makes building succeed with CMake 3.0. (Closes: #758446)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 20 Aug 2014 22:12:47 +0300

cupt (2.8.1) unstable; urgency=medium

  * lib,console:
    - Used more explicit syntax for initialization of some STL structures.
      Fixes builds with g++-4.9. (Closes: #746840)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 11 May 2014 16:33:18 +0300

cupt (2.8.0) experimental; urgency=low

  * lib:
    - system/resolvers/native:
      - 'upgrade': re-implemented in terms of 'satisfyRelationExpression'.
    - cache:
      - 'getSatisfyingVersions': minimal single-arch support for ':any'
        suffixes.
    - cache/relation:
      - Constructor: reject package names starting with an allowed symbol.
    - 'consumePackageName': allow ':' character.
  * test:
    - Introduced.
  * debian:
    - libcupt3-0.shlibs: bumped to 2.8.0~.
    - control: modified short and long descriptions to stress flexibility.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 02 May 2014 18:31:24 +0300

cupt (2.7.3) unstable; urgency=low

  * lib:
    - system/resolvers/native:
      - Fixed failing to satisfy 'remove x --no-remove'-kinds of requests.
        This regression was introduced in 2.6.0.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 18 Apr 2014 17:41:29 +0300

cupt (2.7.2) unstable; urgency=low

  * lib:
    - system/resolvers/native:
      - Branch filtering heuristics: fixed skipping sticked but satisfying
        elements. This could lead to skipping some valid solutions.
        This regression was introduced in 2.7.0.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 05 Mar 2014 21:05:37 +0200

cupt (2.7.1) unstable; urgency=low

  * lib:
    - config:
      - 'setScalar': for options from foreign families, save also their
        normalized form if it's recognized/used. This regression was
        introduced in 2.7.0. (Closes: #740141)
  * doc:
    - news:
      - Filled for 2.7.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 01 Mar 2014 11:47:46 +0200

cupt (2.7.0) unstable; urgency=low

  * lib:
    - Fixed not invoking std::terminate() when a pipe process fail.
    - config:
      - New option 'cupt::directory::configuration::pre'.
      - 'setScalar': accept options from foreign families. They may be useful
        for e.g. hooks.
      - Option 'cupt::resolver::max-solution-count': increased default value
        from 512 to 8192.
    - system/resolvers/native:
      - Reduced solution memory footprint.
      - Reduced average CPU costs of postprocessing failed solutions.
      - Apply some more heuristics to reject new solution tree branches early,
        leading to from neglective/significant/major speed-ups depending on
        the problem patterns.
    - system/worker:
      - 'changeSystem': for removal actions, change automatically installed
        flag after the action, not before.
      - 'changeSystem': support VERSION 3 of preinstall hooks. Thanks to
         James McCoy for the format analysis.
      - 'changeSystem': support for sending hook input to any file descriptor
        hooks want. Thanks to James McCoy for the report. Together with an
        entry above this (Closes: 725979)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 22 Feb 2014 15:51:56 +0200
