=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 else
 	CMAKE_OPTIONS += -DOPTIMIZE=2
 endif
+
+CMAKE_OPTIONS += -DVERBOSE:bool=ON
 
 
 override_dh_auto_configure:
