## cupt 2.8.4

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -35,13 +35,14 @@
 IF(OPTIMIZE GREATER 0)
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DNDEBUG -O${OPTIMIZE}")
 	IF(OPTIMIZE GREATER 1)
-		# set(CMAKE_LD_FLAGS "${CMAKE_LD_FLAGS} -flto -ffat-lto-objects")
-		# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -flto -ffat-lto-objects")
+		# set(CMAKE_LD_FLAGS "${CMAKE_LD_FLAGS} -flto")
+		# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -flto")
 	ENDIF(OPTIMIZE GREATER 1)
 ENDIF(OPTIMIZE GREATER 0)
 
-set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pthread -Wl,--as-needed")
-set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -pthread -Wl,--as-needed")
+set(OUR_LINKER_FLAGS "-pthread -Wl,--as-needed")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OUR_LINKER_FLAGS}")
+set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${OUR_LINKER_FLAGS}")
 
 set(CUPT_SOVERSION 0)
