=== debian/changelog ===
cupt (2.8.4) unstable; urgency=medium

  * lib:
    - system/worker:
      - 'changeSystem': preinstall hooks: pass original version strings of
        installed versions, not id-suffixed ones. (Closes: #764754)
    - cache:
      - Version pinning: fixed matching version strings of installed versions.
        (Closes: #764238)
    - system/resolvers/native:
      - Reverted 'fixed failing to satisfy 'remove x --no-remove'-kinds of
        requests', so 'no-remove' option works again for any kind of user
        requests. This now includes explicit ones as well, so
        'remove x --no-remove' are now expected to fail if 'x' is manually
        installed package. The regression was introduced in 2.7.3.
  * cmakelists:
    - Added '-pthread' to compiling and linking flags. (Closes: #760489)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 19 Oct 2014 20:50:23 +0300

cupt (2.8.3) unstable; urgency=medium

  * lib:
    - config:
      - New option 'cupt::console::actions-preview::show-empty-versions'.
    - system/resolvers/native:
      - For equal-scored version change variants, propose higher versions
        first. The regression for some typical upgrade situations was
        introduced in 2.8.0, the regression for some typical non-upgrade
        user requests was introduced in 2.6.0, and many non-typical cases
        probably never worked before.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 04 Oct 2014 12:52:34 +0300
