=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libcupt3-0-downloadmethod-curl (= ${binary:Version}) |
  libcupt3-0-downloadmethod-wget (= ${binary:Version}),
  ${misc:Depends}
-Description: alternative front-end for dpkg -- debugging symbols
+Description: flexible package manager -- debugging symbols
  This package contains gdb debugging symbols for the Cupt packages.
 
 Package: libcupt3-0
@@ -29,8 +29,10 @@
 Breaks: debdelta (<< 0.31)
 Recommends: libcupt3-0-downloadmethod-curl | libcupt3-0-downloadmethod-wget, bzip2, gpgv, ed
 Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
-Description: alternative front-end for dpkg -- runtime library
- This is a Cupt library implementing front-end to dpkg.
+Description: flexible package manager -- runtime library
+ This is a Cupt library implementing high-level package manager for Debian and
+ derivatives. It's written with flexibility and reliability in mind and uses
+ dpkg as the back-end.
  .
  Provides:
   - parsing and manipulating configuration info;
@@ -50,7 +52,7 @@
 Depends: ${misc:Depends}
 Conflicts: libcupt2-0
 Replaces: libcupt2-0
-Description: alternative front-end for dpkg -- runtime library (support files)
+Description: flexible package manager -- runtime library (support files)
  This package provides architecture-independent support parts for Cupt library.
  .
  See also description of libcupt3-0 package.
@@ -61,7 +63,7 @@
 Depends: ${misc:Depends}, libcupt3-0 (= ${binary:Version})
 Conflicts: libcupt2-dev
 Suggests: libcupt3-doc
-Description: alternative front-end for dpkg -- development files
+Description: flexible package manager -- development files
  This package provides headers for Cupt library.
  .
  See also description of libcupt3-0 package.
@@ -70,7 +72,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Description: alternative front-end for dpkg -- library documentation
+Description: flexible package manager -- library documentation
  This package provides documentation for Cupt library.
  .
  See also description of libcupt3-0 package.
@@ -80,10 +82,10 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt3-0 (>= ${binary:Version})
 Breaks: daptup (<< 0.12.2~)
 Suggests: sensible-utils, libreadline6
-Description: alternative front-end for dpkg -- console interface
- This package provides a console interface to Cupt library, which is a
- re-implementation of libapt-pkg C++ library. The aim is to produce
- more strict, more robust, less buggy front-end than APT.
+Description: flexible package manager -- console interface
+ This package provides a console interface to Cupt library, which implements
+ high-level package manager for Debian and derivatives. Cupt is written with
+ flexibility and reliability in mind and uses dpkg as the back-end.
  .
  Cupt uses the same APT infrastructure, e.g. index files, deb cache archive
  files, configuration files. It understands some of widely used APT options.
@@ -113,7 +115,7 @@
 Package: libcupt3-0-downloadmethod-curl
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: alternative front-end for dpkg -- libcurl download method
+Description: flexible package manager -- libcurl download method
  This package provides http(s) and ftp download handlers for Cupt library
  using libcurl.
  .
@@ -122,7 +124,7 @@
 Package: libcupt3-0-downloadmethod-wget
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, wget
-Description: alternative front-end for dpkg -- wget download method
+Description: flexible package manager -- wget download method
  This package provides http(s) and ftp download handlers for Cupt library
  using wget.
  .
