=== debian/changelog ===
cupt (2.9.1) unstable; urgency=medium

  * lib:
    - cmakelists:
      - Pass absolute path of 'downloadmethods' directory for local builds.
        Makes downloading work when locally built cupt binary is called from
        non-usual locations.
  * test:
    - TestCupt:
      - Made the regex parsing 'cupt policy' output stricter. This reduces
        the probability of false negatives.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 17 Jul 2015 08:32:43 +0300

cupt (2.9.0) experimental; urgency=low

  * console:
    - 'functional selectors':
      - Fixed crashing when non-first argument to and() contains package
        relationship or defining functions.
      - New function 'source-to-binary'.
    - 'search':
      - FSE mode: enabled parsing of unknown version fields.
    - 'why':
      - Prefer any number of (Pre-)Depends over 1 Recommends.
      - Prefer 2 Recommends over 1 Suggests.
      - Apply penalties for non-first relations. (Closes: #772558)
    - 'snapshot save':
      - Accept only snapshot names made of whitelist characters (lowercase
        latin letters, digits, dash, underscore).
    - Version selecting:
      - Fixed '<package>=<version>' syntax for versions with id suffixes.
  * lib:
    - Bumped API version to 4.
    - config:
      - New option 'cupt::resolver::score::version-factor::common'.
      - New option 'cupt::resolver::score::version-factor::negative'.
      - New option
        'cupt::resolver::score::version-factor::priority-downgrade'.
        (Closes: #764755)
      - New option 'cupt::resolver::max-leaf-count'.
      - Option 'cupt::resolver::max-solution-count': increased default value
        from 8192 to 32000.
      - Option 'cupt::resolver::score::quality-adjustment': changed default
        value from 40 to 0.
      - Option 'cupt::resolver::score::removal-of-autoinstalled': changed
        default value from 1200 to 1500.
      - Option 'cupt::resolver::score::upgrade': changed default value
        from 100 to 20.
      - 'setScalar': when doing APT-to-Cupt option translation, also-set
        original-case APT option instead of normalised-case APT option.
      - 'setScalar': accept any option from 'dpkg' family without filtering.
    - system/state:
      - [API break] 'getInstalledInfo': returns raw pointer.
      - [ABI break] Removed handling of longly obsolete Status fields. Patch by
        Guillem Jover. (Closes: #764468)
      - InstalledRecord::Status::strings: added strings for trigger-related
        states. Fixes crash on trying to stringify such states.
    - system/worker:
      - [API break] 'setAutomaticallyInstalledFlag': removed as obsolete.
      - Debdelta helper: use debdelta sources file path as relative to 'dir'
        option, not as absolute path.
      - 'changeSystem': preinstall hooks: pass original version strings of
        supposed versions, not id-suffixed ones.
      - 'changeSystem': preinstall hooks v3: pass '-' instead of empty string
        as architecture for purged versions.
      - 'changeSystem': dpkg commands: run '--triggers-only --pending' even if
        trigger deferring is switched off (see #766758 for discussion).
      - 'changeSystem': preserve unknown fields when writing to extended
        states file.
      - 'changeSystem': preinstall hook: if an input is supplied, don't hang
        if the hook does not accept it all.
    - system/resolvers/native:
      - Removed the version normalized score calculation skew.
        (Closes: #754480, #622939)
      - Implemented automatic quality adjustment.
      - Fixed not applying downgrade score for reinstalls. This regression
        was introduced in 2.6.0.
      - Significantly reduced not-user score part of upgrades.
      - For equal-scored version change variants (when replacing a version
        because of a broken relation), propose higher versions first.
    - versionstring:
      - [API break] 'getOriginal': return StringRange.
      - [API break] 'sameOriginal': removed as obsolete.
      - [API break] 'getOriginal': moved out of 'versionstring' namespace.
    - cache/binaryversion:
      - [API break] 'provides': are now versioned.
    - common:
      - 'checkVersionString': accept underscores (with warnings) again. This
        regression was introduced in 2.0.0~alpha1.
      - [API break] 'checkVersionString', 'compareVersionStrings': moved to
        'versionstring' header.
      - [API break] 'checkPackageName', 'consumePackageName': moved to
        'packagename' header.
      - [API break] 'checkPackageName': first parameter's type is now
        StringRange.
    - cache/relation:
      - [ABI break] Relation: new member 'architecture'.
    - cache:
      - [API break] PinnedVersion: renamed to VersionWithPriority.
      - [API break] 'getSortedPinnedVersions': renamed to
        getSortedVersionsWithPriorities.
      - Parsing extended states: don't choke on records without
        'Auto-Installed' field.
      - [ABI break] ExtendedInfo: new member 'raw'.
    - system/snapshots:
      - 'setupResolverForSnapshotOnly': don't reinstall equal versions.
        The regression was introduced in 2.6.0.
    - cache/package:
      - [API break] Constructor: removed 'binaryArchitecture' parameter.
  * doc:
    - cmakelists:
      - Added rules building man pages from PODs.
    - examples:
      - Added 'show-available' example.
    - reference:
      - Removed timestamps from documentation. Makes builds reproducible.
        Patch by Chris Lamb. (Closes: #777576)
      - Explicitly remove all Javascript files generated by Doxygen, they are
        not actually used but some versions of Doxygen keep generating them.
    - news:
      - Moved to actual 'doc' directory.
  * debian:
    - control:
      - Added 'Breaks: dpkg (<< 1.17.11~)' for versioned provides support.
      - Bumped Standards-Version to 3.9.6, no changes needed.
    - rules:
      - Enabled dh_auto_configure's build system autodetection.

